Subject: bug#32764: closed (Re: bug#32764: Some flymake tests seem unstable)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Jan 2019 19:03:03 +0000

Your bug report

#32764: Some flymake tests seem unstable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32764: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32764
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32764: Some flymake tests seem unstable
From: João Távora <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 6 Jan 2019 19:01:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I guess we can close this bug, then.

João

On Sun, Jan 6, 2019, 01:20 Paul Eggert <[email-masked] wrote:

> João Távora wrote:
>
> > Hi Paul, this test failure is compatible with a problem with GCC 8.2
> > that I recently fixed in 04d3315271cd1357fbbc192505d00c760be02952.  Can
> > you check if your compiler's version?  If it doesn't report the column
> > for "In file included from" errors, it would have triggered the failure
> > before my fix.
>
> It's gcc (GCC) 8.2.1 20181215 (Red Hat 8.2.1-6).
>
> I'm not observing the error now; thanks.
>

Subject: Somne flymake tests seem unstable
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 18 Sep 2018 14:17:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 27.0.50
Severity: minor

Ref: https://hydra.nixos.org/build/81615914

I've seen some flymake test failures like the following a few times.
Perhaps some timeout needs to be increased.

    Test included-c-header-files condition:
        (ert-test-failed "Some backends not reporting yet (flymake-cc)")
       FAILED  4/9  included-c-header-files (10.545006 sec)

    Test perl-backend condition:
        (error "Selecting deleted buffer")
       FAILED  5/9  perl-backend (0.289559 sec)

    Test recurrent-backend condition:
        (error "Selecting deleted buffer")
       FAILED  6/9  recurrent-backend (0.005780 sec)

    Test warning-predicate-function-gcc condition:
        (ert-test-failed "Some backends not reporting yet (flymake-cc)")
       FAILED  8/9  warning-predicate-function-gcc (5.444343 sec)